cURL
curl --request POST \ --url https://api.example.com/api/storefront/customer/register \ --header 'Content-Type: application/json' \ --header 'X-Site-ID: <x-site-id>' \ --data ' { "email": "jsmith@example.com", "password": "<string>", "first_name": "<string>", "last_name": "<string>", "phone": "<string>", "marketing_opt_in": false } '
{ "customer": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "email": "jsmith@example.com", "first_name": "<string>", "last_name": "<string>", "phone": "<string>", "marketing_opt_in": true, "email_verified_at": "2023-11-07T05:31:56Z", "created_at": "2023-11-07T05:31:56Z" }, "access_token": "<string>", "expires_at": "2023-11-07T05:31:56Z" }
Documentation IndexFetch the complete documentation index at: https://docs.stella-commerce.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.stella-commerce.com/llms.txt
Use this file to discover all available pages before exploring further.
8 - 256
100
50
Successful Response
Returned by /register and /login — customer + token together.
The customer's own view of their account.
Show child attributes